[arch-releng] [PATCH 3/3] [archiso] Rename archiso_curl_url= to archiso_http_srv=

Gerardo Exequiel Pozzi vmlinuz386 at yahoo.com.ar
Sat Dec 3 16:33:23 EST 2011


Also rename curlspace_size= to archiso_http_spc=

Signed-off-by: Gerardo Exequiel Pozzi <vmlinuz386 at yahoo.com.ar>
---
 README                                         |    5 +--
 archiso/hooks/archiso_pxe_http                 |   28 ++++++++++++------------
 archiso/install/archiso_pxe_http               |    2 +-
 configs/releng/syslinux.dual/archiso_head.cfg  |    2 +-
 configs/releng/syslinux.dual/archiso_pxe32.cfg |   13 +----------
 configs/releng/syslinux.dual/archiso_pxe64.cfg |   13 +----------
 configs/releng/syslinux/archiso_head.cfg       |    2 +-
 configs/releng/syslinux/archiso_pxe.cfg        |   13 +----------
 8 files changed, 22 insertions(+), 56 deletions(-)

diff --git a/README b/README
index 19fdf46..d23ade7 100644
--- a/README
+++ b/README
@@ -89,12 +89,11 @@ INDEX
 
 ** hooks/archiso_pxe_http
 
-* archiso_curl_url= Set an HTTP/FTP URL (must end with /) where ${archisobasedir}
+* archiso_http_srv= Set an HTTP URL (must end with /) where ${archisobasedir}
                     is found with all *.sfs files.
                     In the IP/domain part if ${pxeserver} is used, use PXE IP.
                     Default: (unset)
-* curlspace_size=   Set the size of tmpfs of "curlspace" where the specified
-                    ISO image or *.sfs files are downloaded.
+* archiso_http_spc= Set the size of tmpfs where *.sfs files are downloaded.
                     Default: "75%"
 
 
diff --git a/archiso/hooks/archiso_pxe_http b/archiso/hooks/archiso_pxe_http
index 7149013..ae56210 100644
--- a/archiso/hooks/archiso_pxe_http
+++ b/archiso/hooks/archiso_pxe_http
@@ -1,10 +1,10 @@
 # vim: set ft=sh:
 
 run_hook() {
-    if [[ -n "${ip}" && -n "${archiso_curl_url}" ]]; then
+    if [[ -n "${ip}" && -n "${archiso_http_srv}" ]]; then
 
-        archiso_curl_url=$(eval echo ${archiso_curl_url})
-        [[ -z "${curlspace_size}" ]] && curlspace_size="75%"
+        archiso_http_srv=$(eval echo ${archiso_http_srv})
+        [[ -z "${archiso_http_spc}" ]] && archiso_http_spc="75%"
 
         mount_handler="archiso_pxe_http_mount_handler"
     fi
@@ -13,13 +13,13 @@ run_hook() {
 # Fetch a file with CURL
 #
 # $1 URL
-# $2 Destination directory inside curlspace/${archisobasedir}
+# $2 Destination directory inside httpspace/${archisobasedir}
 _curl_get() {
     local _url="${1}"
     local _dst="${2}"
 
     msg ":: Downloading '${_url}'"
-    if ! curl -f -o "/run/archiso/curlspace/${archisobasedir}${_dst}/${_url##*/}" --create-dirs "${_url}"; then
+    if ! curl -f -o "/run/archiso/httpspace/${archisobasedir}${_dst}/${_url##*/}" --create-dirs "${_url}"; then
         echo "ERROR: Downloading '${_url}'"
         echo "   Falling back to interactive prompt"
         echo "   You can try to fix the problem manually, log out when you are finished"
@@ -30,12 +30,12 @@ _curl_get() {
 archiso_pxe_http_mount_handler () {
     newroot="${1}"
 
-    msg ":: Mounting /run/archiso/curlspace (tmpfs) filesystem, size='${curlspace_size}'"
-    mkdir -p "/run/archiso/curlspace"
-    mount -t tmpfs -o size="${curlspace_size}",mode=0755 curlspace "/run/archiso/curlspace"
+    msg ":: Mounting /run/archiso/httpspace (tmpfs) filesystem, size='${archiso_http_spc}'"
+    mkdir -p "/run/archiso/httpspace"
+    mount -t tmpfs -o size="${archiso_http_spc}",mode=0755 httpspace "/run/archiso/httpspace"
 
-    local _aitab_url="${archiso_curl_url}${aitab#/run/archiso/bootmnt/}"
-    local _aitab_file="/run/archiso/curlspace/${aitab#/run/archiso/bootmnt/}"
+    local _aitab_url="${archiso_http_srv}${aitab#/run/archiso/bootmnt/}"
+    local _aitab_file="/run/archiso/httpspace/${aitab#/run/archiso/bootmnt/}"
 
     _curl_get "${_aitab_url}" "/"
 
@@ -44,18 +44,18 @@ archiso_pxe_http_mount_handler () {
         [[ "${aitab_img#\#}" != "${aitab_img}" ]] && continue
         [[ "${aitab_arch}" != "any" && "${aitab_arch}" != "${arch}" ]] && continue
         if [[ "${aitab_fs_type}" != "none" ]]; then
-            _curl_get "${archiso_curl_url}${archisobasedir}/${aitab_arch}/${aitab_img}.fs.sfs" "/${aitab_arch}"
+            _curl_get "${archiso_http_srv}${archisobasedir}/${aitab_arch}/${aitab_img}.fs.sfs" "/${aitab_arch}"
         else
-            _curl_get "${archiso_curl_url}${archisobasedir}/${aitab_arch}/${aitab_img}.sfs" "/${aitab_arch}"
+            _curl_get "${archiso_http_srv}${archisobasedir}/${aitab_arch}/${aitab_img}.sfs" "/${aitab_arch}"
         fi
     done < "${_aitab_file}"
 
     if [[ "${checksum}" == "y" ]]; then
-        _curl_get "${archiso_curl_url}${archisobasedir}/checksum.${arch}.md5" "/"
+        _curl_get "${archiso_http_srv}${archisobasedir}/checksum.${arch}.md5" "/"
     fi
 
     mkdir -p "/run/archiso/bootmnt"
-    mount -o bind /run/archiso/curlspace /run/archiso/bootmnt
+    mount -o bind /run/archiso/httpspace /run/archiso/bootmnt
 
     archiso_mount_handler ${newroot}
 }
diff --git a/archiso/install/archiso_pxe_http b/archiso/install/archiso_pxe_http
index 9731732..a636f3b 100644
--- a/archiso/install/archiso_pxe_http
+++ b/archiso/install/archiso_pxe_http
@@ -13,6 +13,6 @@ build ()
 help ()
 {
 cat<<HELPEOF
-  This hook loads the necessary modules for boot via PXE and HTTP/FTP with curl.
+  This hook loads the necessary modules for boot via PXE and HTTP.
 HELPEOF
 }
diff --git a/configs/releng/syslinux.dual/archiso_head.cfg b/configs/releng/syslinux.dual/archiso_head.cfg
index 6514c42..faa2588 100644
--- a/configs/releng/syslinux.dual/archiso_head.cfg
+++ b/configs/releng/syslinux.dual/archiso_head.cfg
@@ -5,7 +5,7 @@ MENU BACKGROUND boot/syslinux/splash.png
 
 MENU WIDTH 78
 MENU MARGIN 4
-MENU ROWS 8
+MENU ROWS 6
 MENU VSHIFT 10
 MENU TABMSGROW 14
 MENU CMDLINEROW 14
diff --git a/configs/releng/syslinux.dual/archiso_pxe32.cfg b/configs/releng/syslinux.dual/archiso_pxe32.cfg
index 56820d9..4bdeefa 100644
--- a/configs/releng/syslinux.dual/archiso_pxe32.cfg
+++ b/configs/releng/syslinux.dual/archiso_pxe32.cfg
@@ -28,16 +28,5 @@ ENDTEXT
 MENU LABEL Boot Arch Linux (i686) (HTTP)
 LINUX boot/i686/vmlinuz
 INITRD boot/i686/archiso.img
-APPEND archisobasedir=%INSTALL_DIR% archiso_curl_url=http://${pxeserver}/
-IPAPPEND 3
-
-LABEL arch32_ftp
-TEXT HELP
-Boot the Arch Linux (i686) live medium (Using FTP). It allows you to install Arch Linux or
-perform system maintenance.
-ENDTEXT
-MENU LABEL Boot Arch Linux (i686) (FTP)
-LINUX boot/i686/vmlinuz
-INITRD boot/i686/archiso.img
-APPEND archisobasedir=%INSTALL_DIR% archiso_curl_url=ftp://${pxeserver}/
+APPEND archisobasedir=%INSTALL_DIR% archiso_http_srv=http://${pxeserver}/
 IPAPPEND 3
diff --git a/configs/releng/syslinux.dual/archiso_pxe64.cfg b/configs/releng/syslinux.dual/archiso_pxe64.cfg
index 762fbc1..1676236 100644
--- a/configs/releng/syslinux.dual/archiso_pxe64.cfg
+++ b/configs/releng/syslinux.dual/archiso_pxe64.cfg
@@ -28,16 +28,5 @@ ENDTEXT
 MENU LABEL Boot Arch Linux (x86_64) (HTTP)
 LINUX boot/x86_64/vmlinuz
 INITRD boot/x86_64/archiso.img
-APPEND archisobasedir=%INSTALL_DIR% archiso_curl_url=http://${pxeserver}/
-IPAPPEND 3
-
-LABEL arch64_ftp
-TEXT HELP
-Boot the Arch Linux (x86_64) live medium (Using FTP). It allows you to install Arch Linux or
-perform system maintenance.
-ENDTEXT
-MENU LABEL Boot Arch Linux (x86_64) (FTP)
-LINUX boot/x86_64/vmlinuz
-INITRD boot/x86_64/archiso.img
-APPEND archisobasedir=%INSTALL_DIR% archiso_curl_url=ftp://${pxeserver}/
+APPEND archisobasedir=%INSTALL_DIR% archiso_http_srv=http://${pxeserver}/
 IPAPPEND 3
diff --git a/configs/releng/syslinux/archiso_head.cfg b/configs/releng/syslinux/archiso_head.cfg
index 6514c42..faa2588 100644
--- a/configs/releng/syslinux/archiso_head.cfg
+++ b/configs/releng/syslinux/archiso_head.cfg
@@ -5,7 +5,7 @@ MENU BACKGROUND boot/syslinux/splash.png
 
 MENU WIDTH 78
 MENU MARGIN 4
-MENU ROWS 8
+MENU ROWS 6
 MENU VSHIFT 10
 MENU TABMSGROW 14
 MENU CMDLINEROW 14
diff --git a/configs/releng/syslinux/archiso_pxe.cfg b/configs/releng/syslinux/archiso_pxe.cfg
index 78e494d..8bb60ed 100644
--- a/configs/releng/syslinux/archiso_pxe.cfg
+++ b/configs/releng/syslinux/archiso_pxe.cfg
@@ -28,16 +28,5 @@ ENDTEXT
 MENU LABEL Boot Arch Linux (HTTP)
 LINUX boot/%ARCH%/vmlinuz
 INITRD boot/%ARCH%/archiso.img
-APPEND archisobasedir=%INSTALL_DIR% archiso_curl_url=http://${pxeserver}/
-IPAPPEND 3
-
-LABEL arch_ftp
-TEXT HELP
-Boot the Arch Linux live medium (Using FTP). It allows you to install Arch Linux or
-perform system maintenance.
-ENDTEXT
-MENU LABEL Boot Arch Linux (FTP)
-LINUX boot/%ARCH%/vmlinuz
-INITRD boot/%ARCH%/archiso.img
-APPEND archisobasedir=%INSTALL_DIR% archiso_curl_url=ftp://${pxeserver}/
+APPEND archisobasedir=%INSTALL_DIR% archiso_http_srv=http://${pxeserver}/
 IPAPPEND 3
-- 
1.7.7.4



More information about the arch-releng mailing list